# Phonetic experiments with *PsychoPy* and *PsychoJS*

## Audience and aim of the workshop

This workshop is targeted at researchers with no previous experience in using PsychoPy [1] or PsychoJS [2]; familiarity with Praat’s multiple forced choice listening experiments may be helpful but is also not required. Having attended the workshop, partici­pants should be able to design, implement and run simple phonetic experiments both on a local computer and via the World Wide Web. The workshop’s two-and-a-half-hours time limit is behind the “simple” experiment constraint; nevertheless, the acquired basic Psy­choPy/PsychoJS competency should also help participants with working independently towards more sophisticated setups later.

## Workshop topics

The first part of the workshop will introduce participants to the basic workings of PsychoPy. Since 2002, this open-source pro­gram has been widely used for behavioral experiments in, above all, psychology and psycholinguistics, but less so in phonetics, de­spite the fact that recent versions offer comprehensive audio processing functionality. PsychoPy is much more versatile and adapt­able than Praat’s ExperimentMFC or demo window and, at the same time, easier to use and more comprehensively documented.

PsychoPy provides two different environments for designing experiments, the visual BUILDER and the text-based CODER. Whilst the CODER makes possible an even larger variety of experimental setups than the BUILDER it also comes with a steeper learning curve, especially for users without prior exposure to Python programming. Thus, in our workshop we will concentrate on the BUILDER to construct a phonetic experiment.

In the second part of the workshop we will find out how to adapt this experiment to online use, gathering data from subjects via the internet. This is made possible by PsychoJS, the online variant of PsychoPy. JS stands for JavaScript, the programming lan­guage most often used in web applications executed in your browser – but again, workshop participants will not be required to learn how to write programming language code. Instead, PsychoPy’s graphical BUILDER tool can also be used to produce the necessary JavaScript and HTML code.

## Links

[1] <https://psychopy.org/>  
[2] <https://github.com/psychopy/psychojs>