# *PsychoPy* installation

This is an abridged and commented version of the official installation instructions at
<https://www.psychopy.org/download.html>.
Please let me know at [stewer@utu.fi](mailto:stewer@utu.fi) if you have trouble with the installation.

## Windows

For the easiest installation download and install the [Standalone](https://github.com/psychopy/psychopy/releases/download/2024.2.1/StandalonePsychoPy-2024.2.1-win64-py3.8.exe) package.

*PsychoPy®* is distributed under the GPL3 license.

## Mac

For the easiest installation download and install the [Standalone](https://github.com/psychopy/psychopy/releases/download/2024.2.1/StandalonePsychoPy-2024.2.1-macOS-py3.8.dmg) package.

*PsychoPy®* is distributed under the GPL3 license.

## Linux

The following will install *PsychoPy* on a system with Python version 3.10:

```
# create a virtual environment and activate it
python3.10 -m venv ~/.psychopy_py310
source ~/.psychopy_py310/bin/activate

# fetch and run install script
python -c "$(curl -fsSL https://raw.githubusercontent.com/psychopy/psychopy/dev/installPsychoPy.py)"
```

*PsychoPy®* is distributed under the GPL3 license.

### Note

I had a lot of trouble with the install script above and warmly recommend instead "manual" installation using *pip*:

1. Download and compile a *PsychoPy*-compatible version of *Python* (3.8 seems to work best).
2. Use it to create a virtual environment.
3. Activate the environment.
4. Use *pip* to install *PsychoPy* and its dependencies.

For example, with Python 3.8 in ~/python38:

```
virtualenv mypsychopy --python ~/python38/bin/python3.8
source ~/mypsychopy/bin/activate
pip install psychopy
```

After successful installation you can start *PsychoPy* like this:

```
source ~/mypsychopy/bin/activate
psychopy
```